Summary:	Radio plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka z radiem dla panelu Xfce
Name:		xfce4-radio-plugin
Version:	0.5.1
Release:	3
License:	GPL v3
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-radio-plugin/0.5/%{name}-%{version}.tar.bz2
# Source0-md5:	237001f3a134c28c16bcd07b57168150
Patch0:		%{name}-ui.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-radio-plugin
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an Xfce panel plugin which allows you to control your V4l
radio device. You can turn your radio on/off, tune it to some
frequency and manage station presets.

%description -l pl.UTF-8
Ten pakiet zawiera wtyczkę dla panelu Xfce pozwalającą sterować radiem
dostępnym przez interfejs V4l. Można włączać i wyłączać radio, stroić
na jakąś częstotliwość i zarządzać ustawieniami stacji.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-radio-plugin
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Tue Mar 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-radio-plugin.git;a=log;h=master

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 12d74d6
- rebuild for XFCE 4.12
- release 3 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 304d6b2
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 52b25d1
- updated gettext BR

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 90b443f
- use macro

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 35babd3
- 0.5.1

* Wed Mar 16 2011 Jan Rękorajski <baggins@pld-linux.org> ab0da5b
- 0.4.5
- license changed to GPLv3

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> aa26313
- rel 4
- port to libxfce4ui

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> b942314
- release 3

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 52d268a
- Requires(post,postun): gtk-update-icon-cache

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> faa7a01
- BR: intltool

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 4870013
- 0.4.4

* Sat Mar 21 2009 duddits <duddits@pld-linux.org> 0782a3a
- up to 0.4.2
- cleaning

* Sat Jan 24 2009 Adam Gołębiowski <adamg@pld-linux.org> 9d4e641
- updated to 0.4.1

* Sun Jun 29 2008 hawk <hawk@pld-linux.org> e3b9294
- locale fix: pt_PT -> pt

* Fri Jun 20 2008 Adam Gołębiowski <adamg@pld-linux.org> 302c56d
- updated to 0.3.1

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> f8c1220
- updated Source0 URL

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 314e72d
- updated to 0.2.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7f6258f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8b77f98
- converted to UTF-8

* Fri Jan 26 2007 Marcin Banasiak <marcin.banasiak@gmail.com> fbe59c6
- updated deps, URL
- added %update_icon_cache macro

